<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: Data Structure Index</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classes.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Data Structure Index</div>  </div>
</div><!--header-->
<div class="contents">
<div class="qindex"><a class="qindex" href="#letter__">_</a>&#160;|&#160;<a class="qindex" href="#letter_a">a</a>&#160;|&#160;<a class="qindex" href="#letter_c">c</a>&#160;|&#160;<a class="qindex" href="#letter_d">d</a>&#160;|&#160;<a class="qindex" href="#letter_e">e</a>&#160;|&#160;<a class="qindex" href="#letter_l">l</a>&#160;|&#160;<a class="qindex" href="#letter_m">m</a>&#160;|&#160;<a class="qindex" href="#letter_n">n</a>&#160;|&#160;<a class="qindex" href="#letter_s">s</a></div>
<table class="classindex">
<tr><td rowspan="2" valign="bottom"><a name="letter__"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;_&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="struct___audiomanager_routinginterface_proxy_private.html">_AudiomanagerRoutinginterfaceProxyPrivate</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___extended_g_d_bus_interface_info.html">_ExtendedGDBusInterfaceInfo</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_c"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;c&#160;&#160;</div></td></tr></table>
</td><td rowspan="2" valign="bottom"><a name="letter_m"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;m&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_routinginterface_skeleton.html">_AudiomanagerRoutinginterfaceSkeleton</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___extended_g_d_bus_method_info.html">_ExtendedGDBusMethodInfo</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_commandinterface_iface.html">_AudiomanagerCommandinterfaceIface</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___audiomanager_routinginterface_skeleton_class.html">_AudiomanagerRoutinginterfaceSkeletonClass</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___extended_g_d_bus_property_info.html">_ExtendedGDBusPropertyInfo</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct_changed_property.html">ChangedProperty</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structmain__sound__property__s.html">main_sound_property_s</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_commandinterface_proxy.html">_AudiomanagerCommandinterfaceProxy</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___audiomanager_routinginterface_skeleton_private.html">_AudiomanagerRoutinginterfaceSkeletonPrivate</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___extended_g_d_bus_signal_info.html">_ExtendedGDBusSignalInfo</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_d"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;d&#160;&#160;</div></td></tr></table>
</td><td rowspan="2" valign="bottom"><a name="letter_n"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;n&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_commandinterface_proxy_class.html">_AudiomanagerCommandinterfaceProxyClass</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___audiomanager_routing_soundmanager_iface.html">_AudiomanagerRoutingSoundmanagerIface</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___object_iface.html">_ObjectIface</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_commandinterface_proxy_private.html">_AudiomanagerCommandinterfaceProxyPrivate</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___audiomanager_routing_soundmanager_proxy.html">_AudiomanagerRoutingSoundmanagerProxy</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___object_manager_client.html">_ObjectManagerClient</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structdomain__data.html">domain_data</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structnotification__config__s.html">notification_config_s</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_commandinterface_skeleton.html">_AudiomanagerCommandinterfaceSkeleton</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___audiomanager_routing_soundmanager_proxy_class.html">_AudiomanagerRoutingSoundmanagerProxyClass</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___object_manager_client_class.html">_ObjectManagerClientClass</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_e"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;e&#160;&#160;</div></td></tr></table>
</td><td rowspan="2" valign="bottom"><a name="letter_s"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;s&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_commandinterface_skeleton_class.html">_AudiomanagerCommandinterfaceSkeletonClass</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___audiomanager_routing_soundmanager_proxy_private.html">_AudiomanagerRoutingSoundmanagerProxyPrivate</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___object_proxy.html">_ObjectProxy</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html">_AudiomanagerCommandinterfaceSkeletonPrivate</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___audiomanager_routing_soundmanager_skeleton.html">_AudiomanagerRoutingSoundmanagerSkeleton</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___object_proxy_class.html">_ObjectProxyClass</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structevent.html">event</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structsound__property__s.html">sound_property_s</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_routinginterface_iface.html">_AudiomanagerRoutinginterfaceIface</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___audiomanager_routing_soundmanager_skeleton_class.html">_AudiomanagerRoutingSoundmanagerSkeletonClass</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___object_skeleton.html">_ObjectSkeleton</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_l"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;l&#160;&#160;</div></td></tr></table>
</td><td></td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_routinginterface_proxy.html">_AudiomanagerRoutinginterfaceProxy</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___audiomanager_routing_soundmanager_skeleton_private.html">_AudiomanagerRoutingSoundmanagerSkeletonPrivate</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___object_skeleton_class.html">_ObjectSkeletonClass</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="struct___audiomanager_routinginterface_proxy_class.html">_AudiomanagerRoutinginterfaceProxyClass</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="struct___extended_g_d_bus_arg_info.html">_ExtendedGDBusArgInfo</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_a"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;a&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="class_lib_soundmanager.html">LibSoundmanager</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td></td><td></td><td></td><td></td></tr>
<tr><td></td><td></td><td valign="top"><a class="el" href="structavailability__s.html">availability_s</a>&#160;&#160;&#160;</td><td></td><td></td></tr>
<tr><td></td><td></td><td></td><td></td><td></td></tr>
</table>
<div class="qindex"><a class="qindex" href="#letter__">_</a>&#160;|&#160;<a class="qindex" href="#letter_a">a</a>&#160;|&#160;<a class="qindex" href="#letter_c">c</a>&#160;|&#160;<a class="qindex" href="#letter_d">d</a>&#160;|&#160;<a class="qindex" href="#letter_e">e</a>&#160;|&#160;<a class="qindex" href="#letter_l">l</a>&#160;|&#160;<a class="qindex" href="#letter_m">m</a>&#160;|&#160;<a class="qindex" href="#letter_n">n</a>&#160;|&#160;<a class="qindex" href="#letter_s">s</a></div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
